Application: gvSIG desktop - gvSIG bugs #5243

Las barras de herramientas de Zooms y Consulta han pasado hacia el final

04/27/2020 10:22 AM - Mario Carrera

Status: Closed % Done: 100%
Priority: Normal Spent time: 0.00 hour
Assignee: Francisco Diaz Carsi

Category: Application

Target version: 2.5.1-3024

Severity: Minor Add-on version:

gvSIG version: 2.51 Add-on build:

gvSIG build: 3017 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: Hito:

Add-on name: Unknown

Description

En el dltimo build, las barras de herramientas de Zooms y Consulta han pasado hacia el final.

La de Zoom deberia estar la 32, después de las de Anhadir capa.
La de Consulta deberia estar la 52, después de la de Abrir tabla de atributos

Hasta el BN 3016 estaba bien.

Ocurre al menos en la portable.

Associated revisions

Revision 45033 - 05/15/2020 10:40 AM - Joaquin del Cerro Murciano

refs #5243, renombrado de una variable por claridad en el codigo

Revision 45045 - 06/02/2020 11:48 AM - Francisco Diaz Carsi

refs #5243 Fixed plugins order in tool bar

History

#1 - 04/27/2020 02:26 PM - Alvaro Anguix
- Status changed from New to Won't fix

Funciona bien. Mario estaba usando una versién no soportada (la de Ubuntu 14)

#2 - 04/27/2020 04:00 PM - Joaquin del Cerro Murciano

- Target version changed from 2.5.1-3044 to 2.5.1-3020

#3 - 05/11/2020 11:59 AM - Mario Carrera

- Status changed from Won't fix to Closed
Ya funciona correctamente desde el 3020.

#4 - 05/15/2020 10:34 AM - Joaquin del Cerro Murciano
- Target version changed from 2.5.1-3020 to 2.5.1-3044
- Status changed from Closed to New

#5 - 05/15/2020 10:43 AM - Mario Carrera
- File gvsig-toolbars-report-1281009454674065890.html added

Parece que si hay un plugin con el mismo nombre de barra de herramientas machaca el original, alterando el orden que tenia.

Esto ha ocurrido por ejemplo con el de zooms de portableview, que hace que la barra de herramientas de zooms y la de consultas pierdan el orden

que le toca, y poniéndolas hacia el final, no al principio como deben ir.

Adjunto fichero con el orden de las barras trastocado (el 11003 es uno de ellos: view_navigation - null).

#6 - 06/02/2020 11:11 AM - Francisco Diaz Carsi

- Assignee set to Francisco Diaz Carsi

#7 - 06/02/2020 11:48 AM - Francisco Diaz Carsi

- % Done changed from 0 to 100

- Target version changed from 2.5.1-3044 to 2.5.1-3024
- Status changed from New to Fixed

#8 - 06/07/2020 04:12 PM - Alvaro Anguix

- Status changed from Fixed to Closed

Files
gvsig-toolbars-report-1281009454674065890.html 31.9 KB 05/15/2020 Mario Carrera
05/17/2024 22



